// import 'package:flutter/material.dart';
// import 'package:flutter_bloc/flutter_bloc.dart';
// import 'package:hub/backend/api_requests/api_calls.dart';
// import 'package:hub/components/molecular_components/message_opt_modal/opt_modal_widget.dart';
// import 'package:hub/components/templates_components/card_item_template_component/card_item_template_component_widget.dart';
// import 'package:hub/features/history/index.dart';
// import 'package:hub/flutter_flow/flutter_flow_theme.dart';
// import 'package:hub/flutter_flow/internationalization.dart';
// import 'package:hub/shared/helpers/storage/base_storage.dart';
// import 'package:hub/shared/helpers/storage/storage_helper.dart';

// class AcessCubit extends Cubit<String?> {
//   AcessCubit() : super('Provisional');

//   Future<void> fetchCliUUID() async {
//     final cliUUID = await StorageHelper().get(KeychainStorageKey.clientUUID.value);
//     emit(cliUUID);
//   }

//   Future<ApiCallResponse> fetchHistoryService(int pageSize, int pageNumber, Map<String, String> opt) async {
//     return await PhpGroup.getAccessCall.call(
//       pageSize: pageSize.toString(),
//       pageNumber: pageNumber.toString(),
//       pesTipo: opt['personType'] != 'E' && opt['personType'] != 'O' ? 'T' : opt['personType'],
//     );
//   }

//   bool filterLogic(dynamic item, Map<String, String> opt) {
//     final personTypeMatches = opt['personType'] == '.*' || item["PES_TIPO"].toString() == opt['personType'];
//     return personTypeMatches;
//   }
// }

// class AccessHistoryPage extends StatelessWidget {
//   final Map<String, String> opt = {
//     'personType': '.*',
//     'accessType': '.*',
//     'search': '.*',
//   };

//   final String appBarTitle = 'Histórico Provisório';
//   final String noHistoryMessage = 'Nenhum histórico encontrado!';
//   final String errorMessage = 'Falha ao realizar operação!';

//   @override
//   Widget build(BuildContext context) {
//     return BlocProvider(
//       create: (context) => AcessCubit()..fetchCliUUID(),
//       child: HistoryPageTemplate(
//         opt: opt,
//         fetchHistoryService: (pageSize, pageNumber, opt) => context.read<AcessCubit>().fetchHistoryService(pageSize, pageNumber, opt),
//         cardBuilder: cardBuilder,
//         appBarTitle: appBarTitle,
//         noHistoryMessage: noHistoryMessage,
//         errorMessage: errorMessage,
//         isLeading: true,
//         isFilter: true,
//         filterLogic: (item, opt) => context.read<AcessCubit>().filterLogic(item, opt),
//       ),
//     );
//   }

//   Widget cardBuilder(BuildContext context, dynamic historyItem) {
//     final cliUUID = context.watch<AcessCubit>().state;
//     final String imagePath = 'https://freaccess.com.br/freaccess/getImage.php?cliID=${cliUUID}&atividade=getFoto&Documento=${historyItem['PES_ID'] ?? ''}&tipo=${historyItem['PES_TIPO'] ?? ''}';
//     final Map<String, String> labelsHashMap = {
//       FFLocalizations.of(context).getVariableText(ptText: 'Nome:', enText: 'Name:'): historyItem['PES_NOME'] ?? '',
//       FFLocalizations.of(context).getVariableText(ptText: 'Acesso:', enText: 'Access:'): historyItem['ACE_DATAHORA'] ?? '',
//       FFLocalizations.of(context).getVariableText(ptText: 'Setor', enText: 'Sector'): historyItem['SET_DESCRICAO'] ?? '',
//     };

//     final statusHashMap = [
//       _getPersonTypeStatus(context, historyItem['PES_TIPO']),
//       _getAccessTypeStatus(context, historyItem['ACE_TIPO']),
//     ];

//     return CardItemTemplateComponentWidget(
//       imagePath: imagePath,
//       labelsHashMap: labelsHashMap,
//       statusHashMap: statusHashMap,
//       onTapCardItemAction: () async {},
//     );
//   }

//   Map<String, Color> _getPersonTypeStatus(BuildContext context, String? personType) {
//     switch (personType) {
//       case 'O':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Morador', enText: 'Resident'): FlutterFlowTheme.of(context).alternate2};
//       case 'E':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Visitante', enText: 'Visitor'): FlutterFlowTheme.of(context).alternate2};
//       default:
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Desconhecido', enText: 'Unknown'): FlutterFlowTheme.of(context).alternate2};
//     }
//   }

//   Map<String, Color> _getAccessTypeStatus(BuildContext context, String? accessType) {
//     switch (accessType) {
//       case '0':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Entrada', enText: 'Entrance'): FlutterFlowTheme.of(context).success};
//       case '1':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Saída', enText: 'Exit'): FlutterFlowTheme.of(context).error};
//       default:
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Desconhecido', enText: 'Unknown'): FlutterFlowTheme.of(context).warning};
//     }
//   }
// }