// import 'dart:developer';

// import 'package:flutter/material.dart';
// import 'package:flutter_bloc/flutter_bloc.dart';
// import 'package:hub/backend/api_requests/api_calls.dart';
// import 'package:hub/components/molecular_components/message_opt_modal/opt_modal_widget.dart';
// import 'package:hub/components/templates_components/card_item_template_component/card_item_template_component_widget.dart';
// import 'package:hub/features/history/index.dart';
// import 'package:hub/flutter_flow/flutter_flow_theme.dart';
// import 'package:hub/flutter_flow/internationalization.dart';
// import 'package:hub/shared/helpers/storage/base_storage.dart';
// import 'package:hub/shared/helpers/storage/storage_helper.dart';

// class ProvisionalCubit extends Cubit<String?> {
//   ProvisionalCubit() : super('Provisional');

//   Future<void> fetchCliUUID() async {
//     final cliUUID = await StorageHelper().get(KeychainStorageKey.clientUUID.value);
//     emit(cliUUID);
//   }

//   Future<ApiCallResponse> fetchHistoryService(int pageSize, int pageNumber, Map<String, String> status) async {
//     log('fetchHistoryService: $pageSize, $pageNumber, $status');
//     return await PhpGroup.getProvSchedules(pageNumber.toString(), '');
//   }

//   bool filterLogic(dynamic item, Map<String, String> opt) {
//     final personTypeMatches = opt['personType'] == '.*' || item["PES_TIPO"].toString() == opt['personType'];
//     return personTypeMatches;
//   }
// }

// class ProvisionalHistoryPage extends StatelessWidget {
//   ProvisionalHistoryPage({super.key});

//   final Map<String, String> opt = {
//     'personType': '.*',
//     'accessType': '.*',
//     'search': '.*',
//   };

//   final String appBarTitle = 'Histórico Provisório';
//   final String noHistoryMessage = 'Nenhum histórico encontrado!';
//   final String errorMessage = 'Falha ao realizar operação!';

//   @override
//   Widget build(BuildContext context) {
//     return BlocProvider(
//       create: (context) => HistoryBloc(
//         opt,
//         (pageSize, pageNumber, opt) => context.read<ProvisionalCubit>().fetchHistoryService(pageSize, pageNumber, opt),
//         filterLogic: (item, opt) => context.read<ProvisionalCubit>().filterLogic(item, opt),
//       ),
//       child: HistoryPageTemplate(
//         opt: opt,
//         fetchHistoryService: (pageSize, pageNumber, opt) => context.read<ProvisionalCubit>().fetchHistoryService(pageSize, pageNumber, opt),
//         cardBuilder: cardBuilder,
//         appBarTitle: appBarTitle,
//         noHistoryMessage: noHistoryMessage,
//         errorMessage: errorMessage,
//         isLeading: true,
//         isFilter: false,
//         filterLogic: (item, opt) => context.read<ProvisionalCubit>().filterLogic(item, opt),
//       ),
//     );
//   }

//   Widget cardBuilder(BuildContext context, dynamic historyItem) {
//     log('historyItem: $historyItem');
//     final cliUUID = context.watch<ProvisionalCubit>().state;
//     final String imagePath =
//         'https://freaccess.com.br/freaccess/getImage.php?cliID=${cliUUID}&atividade=getFoto&Documento=${historyItem['PES_ID'] ?? ''}&tipo=${historyItem['PES_TIPO'] ?? ''}';
//     final Map<String, String> labelsHashMap = {
//       FFLocalizations.of(context).getVariableText(ptText: 'Nome:', enText: 'Name:'): historyItem['AGP_NOME'] ?? '',
//       FFLocalizations.of(context).getVariableText(ptText: 'Acesso:', enText: 'Access:'): historyItem['AGP_DT_VISITA'] ?? '',
//     };

//     final statusHashMap = [
//       _getTypeStatus(context, historyItem['AGP_STATUS']),
//     ];

//     return CardItemTemplateComponentWidget(
//       imagePath: imagePath,
//       labelsHashMap: labelsHashMap,
//       statusHashMap: statusHashMap,
//       onTapCardItemAction: () async {},
//     );
//   }

//   Map<String, Color> _getTypeStatus(BuildContext context, String? accessType) {
//     switch (accessType) {
//       case '0':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Entrada', enText: 'Entrance'): FlutterFlowTheme.of(context).success};
//       case '1':
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Saída', enText: 'Exit'): FlutterFlowTheme.of(context).error};
//       default:
//         return {FFLocalizations.of(context).getVariableText(ptText: 'Desconhecido', enText: 'Unknown'): FlutterFlowTheme.of(context).warning};
//     }
//   }
// }
